libmouse-perl (2.5.9-1+dyson1) unstable; urgency=medium

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Sun, 01 Dec 2019 15:36:23 +0300

libmouse-perl (2.5.9-1) unstable; urgency=medium

  * Import upstream version 2.5.9.
  * Update debian/upstream/metadata.
  * Update build dependencies.
  * Update years of packaging copyright.
  * Update Build-Depends for cross builds.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.1.
  * Drop unneeded version constraints from (build) dependencies.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Nov 2019 03:32:27 +0100

libmouse-perl (2.5.6-1) unstable; urgency=medium

  * Import upstream version 2.5.6.
  * Declare compliance with Debian Policy 4.2.0.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Aug 2018 21:55:51 +0200

libmouse-perl (2.5.4-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 2.5.4.
  * Declare compliance with Debian Policy 4.1.5.

 -- gregor herrmann <gregoa@debian.org>  Sat, 28 Jul 2018 13:40:41 +0200

libmouse-perl (2.5.2-1) unstable; urgency=medium

  * Import upstream version 2.5.2.

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 Feb 2018 21:05:59 +0100

libmouse-perl (2.5.1-1) unstable; urgency=medium

  * Import upstream version 2.5.1.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.1.3.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Jan 2018 23:42:22 +0100

libmouse-perl (2.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.2 (no changes needed)

  [ Nick Morrott ]
  * New upstream version 2.5.0
  * Refresh build dependencies
  * Remove trailing whitespace in changelog

  [ gregor herrmann ]
  * Refresh reproducible_build.patch (offset).

 -- Nick Morrott <knowledgejunkie@gmail.com>  Fri, 22 Dec 2017 01:46:38 +0000

libmouse-perl (2.4.10-1) unstable; urgency=medium

  * Import upstream version 2.4.10.
    Fixes "FTBFS when debhelper does not export PERL_USE_UNSAFE_INC"
    (Closes: #871797)
  * Declare compliance with Debian Policy 4.1.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 Sep 2017 16:23:06 +0200

libmouse-perl (2.4.7-1) unstable; urgency=medium

  * Import upstream version 2.4.7.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Jan 2017 19:59:23 +0100

libmouse-perl (2.4.6-1) unstable; urgency=medium

  * Remove Antonio Radici, Brian Cassidy, Jonathan Yu, Jose Luis Rivas,
    Nathan Handler, Rene Mayorga, and Ryan Niebur from Uploaders.
    Thanks for your work!
  * Import upstream version 2.4.6.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 09 Jan 2017 21:54:44 +0100

libmouse-perl (2.4.5-2) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: use HTTPS for GitHub URLs.

  [ intrigeri ]
  * reproducible_build.patch: added. (Closes: #808667)
    Thanks to Reiner Herrmann <reiner@reiner-h.de> for the patch!
  * Declare compliance with Standards-Version 3.9.8.
  * Enable the bindnow hardening build flag.

 -- intrigeri <intrigeri@debian.org>  Tue, 05 Jul 2016 09:45:05 +0000

libmouse-perl (2.4.5-1) unstable; urgency=medium

  * Import upstream version 2.4.5.
  * Rename autopkgtest configuration file.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Oct 2015 19:03:17 +0200

libmouse-perl (2.4.2-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Axel Beckert ]
  * Import new upstream release.

  [ gregor herrmann ]
  * Add debian/upstream/metadata.

  * Import upstream version 2.4.2.
  * Update years of packaging copyright.
  * Drop build dependency on libtest-exception-lessclever-perl.
  * Consolidate debian/copyright.
    - Third-party files are gone.
    - Combine upstream copyright statements.
  * Declare compliance with Debian Policy 3.9.6.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 May 2015 22:27:21 +0200

libmouse-perl (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 May 2014 16:56:53 +0200

libmouse-perl (2.2.0-1) unstable; urgency=low

  [ Axel Beckert ]
  * Prepare alternative Build-Dependencies for Perl 5.19/5.20.
    (Kudos go to "cme fix dpkg".)

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  * New upstream release.
  * Update years of packaging copyright.
  * Add another generated file to debian/clean.

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 May 2014 17:45:02 +0200

libmouse-perl (2.1.0-1) unstable; urgency=low

  * Team upload

  * New upstream release
    + Add build-dependencies on libmodule-build-xsutil-perl,
      libtest-exception-lessclever-perl, libtest-fatal-perl,
      libtest-requires-perl, libtry-tiny-perl
    + Add version constraint on libextutils-parsexs-perl b-d
    + Add versioned build-dependency on libmodule-build-perl
    + Create debian/clean, add lib/Mouse/Tiny.pm and xs-src/*.c
    + Add debian/NEWS for making users aware of behaviour changes
  * Bump Standard-Version to 3.9.5 (no changes)

 -- Axel Beckert <abe@debian.org>  Fri, 27 Dec 2013 19:51:11 +0100

libmouse-perl (1.12-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Oct 2013 17:15:00 +0200

libmouse-perl (1.11-1) unstable; urgency=low

  * New upstream release.
    Fixes "FTBFS with Perl 5.18: t/030_roles/001_meta_role.t failure"
    (Closes: #719596)
  * debian/copyright: add info about new third-party files.

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Aug 2013 15:25:36 +0200

libmouse-perl (1.05-1) unstable; urgency=low

  [ Nathan Handler ]
  * Email change: Nathan Handler -> nhandler@debian.org

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright.
  * Set Standards-Version to 3.9.4 (no changes).
  * Use debhelper 9.20120312 to get all hardening flags.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Feb 2013 20:01:14 +0100

libmouse-perl (1.02-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Alessandro Ghedini ]
  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 02 Sep 2012 15:51:09 +0200

libmouse-perl (0.99-1) unstable; urgency=low

  * Team upload.

  [ Alessandro Ghedini ]
  * Email change: Alessandro Ghedini -> ghedo@debian.org

  [ intrigeri ]
  * Imported Upstream version 0.98
  * Imported Upstream version 0.99
  * Fix debian/copyright with cme.
  * Bump debhelper compatibility level to 9, in order to enable hardening.
  * Bump Standards-Version to 3.9.3, no change required.

 -- intrigeri <intrigeri@debian.org>  Sat, 30 Jun 2012 17:36:51 +0200

libmouse-perl (0.97-1) unstable; urgency=medium

  [ intrigeri ]
  * Add missing build-dependency on libtest-exception-perl.

  [ gregor herrmann ]
  * New upstream release 0.95.

  [ Alessandro Ghedini ]
  * New upstream release
  * Drop disable-failing-test-ia64.patch (merged upstream)
  * Swap libextutils-parsexs-perl and perl (>= 5.14) in B-D
    (Closes: #649180)

  [ gregor herrmann ]
  * Set urgency to medium (RC bug fix, perl 5.14 transition).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 18 Nov 2011 16:44:13 +0100

libmouse-perl (0.94-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 04 Oct 2011 16:02:33 +0200

libmouse-perl (0.93-3) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * Remove debian/source/local-options; abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.

  [ Alessandro Ghedini ]
  * Add disable-failing-test-ia64.patch (Closes: #642803)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 25 Sep 2011 13:11:43 +0200

libmouse-perl (0.93-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Dominic Hargreaves ]
  * Add alternative Build-Depends on perl 5.14, which satisfies
    libextutils-parsexs-perl (>= 2.210000) (Closes: #636760)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 05 Aug 2011 19:34:40 +0100

libmouse-perl (0.93-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release 0.92

  [ Alessandro Ghedini ]
  * New upstream release
  * Add myself to Uploaders
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Update Module::Install copyright years

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 17 May 2011 18:18:00 +0200

libmouse-perl (0.91-1) unstable; urgency=low

  * New upstream release
  * Bump to debhelper compat 8

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 15 Mar 2011 21:53:52 -0400

libmouse-perl (0.90-1) unstable; urgency=low

  * New upstream release.
  * Add debian/source/local-options.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Feb 2011 16:10:38 +0100

libmouse-perl (0.89-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 30 Jan 2011 15:31:41 +0100

libmouse-perl (0.87-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 20 Nov 2010 12:11:53 +0100

libmouse-perl (0.86-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 12 Nov 2010 16:12:53 +0100

libmouse-perl (0.82-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 06 Nov 2010 15:36:57 +0100

libmouse-perl (0.81-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 30 Oct 2010 10:26:35 +0200

libmouse-perl (0.80-1) unstable; urgency=low

  * New upstream release.
  * Drop build-dep on libtest-exception-perl.
  * debian/copyright: Add information for files in inc/Test/* and xshelper.h;
    refer to "Debian systems" instead of "Debian GNU/Linux systems".
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 11 Oct 2010 17:57:05 +0200

libmouse-perl (0.64-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Refer to /usr/share/common-licenses/GPL-1.
  * Bump Standards-Version to 3.9.1.

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 27 Jul 2010 02:18:02 +0900

libmouse-perl (0.63-1) unstable; urgency=low

  * New upstream release.
  * Remove build-dep on libtest-requires-perl.

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 21 Jul 2010 14:10:19 +0900

libmouse-perl (0.62-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Vesion to 3.9.0 (no changes).

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 07 Jul 2010 20:45:49 +0900

libmouse-perl (0.61-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jun 2010 15:45:00 +0200

libmouse-perl (0.60-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 11 Jun 2010 02:10:56 +0900

libmouse-perl (0.58-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 08 May 2010 20:42:59 +0900

libmouse-perl (0.57-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 07 May 2010 23:46:16 +0900

libmouse-perl (0.56-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 29 Apr 2010 20:36:15 +0900

libmouse-perl (0.55-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 22 Apr 2010 19:48:57 +0900

libmouse-perl (0.54-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Apr 2010 20:44:25 +0200

libmouse-perl (0.53-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 12 Apr 2010 11:26:56 +0900

libmouse-perl (0.52-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release 0.51

  [ gregor herrmann ]
  * New upstream release 0.52.
  * Convert to source format 3.0 (quilt).
  * New build dependency: libtest-requires-perl.
  * Build depend on perl 5.10.1 to ensure we have Devel::PPPort 3.19.

 -- gregor herrmann <gregoa@debian.org>  Sun, 28 Mar 2010 20:02:30 +0200

libmouse-perl (0.50-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release

  [ gregor herrmann ]
  * Bump versioned build dependency on libtest-exception-perl to >= 0.29 as
    per new upstream requirements.
  * Update years of copyright for inc/Module/*.

 -- Jonathan Yu <jawnsy@cpan.org>  Mon, 08 Feb 2010 17:56:36 -0500

libmouse-perl (0.49-1) unstable; urgency=low

  * New upstream release
  * Add Path::Class to B-D for testing

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 02 Feb 2010 11:55:04 -0500

libmouse-perl (0.48-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.8.4 (no changes)

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 31 Jan 2010 19:39:48 -0500

libmouse-perl (0.46-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release

  [ gregor herrmann ]
  * debian/copyright: update years of upstream and packaging copyright.

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 09 Jan 2010 17:51:21 -0500

libmouse-perl (0.45-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 19 Dec 2009 17:37:56 -0500

libmouse-perl (0.44-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Yu <jawnsy@cpan.org>  Wed, 09 Dec 2009 11:53:31 -0500

libmouse-perl (0.42-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Refresh control and copyright information
  * Add a override to fix shebang lines
  * Change to Arch: any package since this contains XS now

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 05 Dec 2009 17:04:11 -0500

libmouse-perl (0.40-1) unstable; urgency=low

  * New upstream release
  * Updating my email on debian/copyright

 -- Jose Luis Rivas <ghostbar@debian.org>  Tue, 20 Oct 2009 16:02:03 -0430

libmouse-perl (0.39-1) unstable; urgency=low

  * New upstream release
  * Add libtest-leaktrace-perl and libio-string-perl to B-D-I

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 13 Oct 2009 19:12:08 -0400

libmouse-perl (0.37-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.3 (no changes)
  * Added myself to Uploaders and Copyright
  * Use short debhelper rules format

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ Jose Luis Rivas ]
  * Update my email address

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 02 Oct 2009 05:53:44 -0400

libmouse-perl (0.27-1) unstable; urgency=low

  [ Nathan Handler ]
  * New upstream release
  * debian/copyright:
    - Cleanup and add correct some errors
  * debian/control:
    - Add myself to list of Uploaders
  * debian/watch:
    - Remove unnecessary comments

  [ gregor herrmann ]
  * debian/control: bump versioned build dependency on libmoose-perl (the test
    suite needs a newer version).

 -- Nathan Handler <nhandler@ubuntu.com>  Fri, 03 Jul 2009 03:01:53 +0000

libmouse-perl (0.25-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * New upstream release
    - fixes FTBFS (Closes: #534006)
  * Debian Policy 3.8.2

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 21 Jun 2009 20:30:32 -0700

libmouse-perl (0.23-1) unstable; urgency=low

  * New upstream release

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 27 May 2009 18:59:22 -0700

libmouse-perl (0.22-1) unstable; urgency=low

  * New upstream release

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 23 Apr 2009 19:52:35 -0700

libmouse-perl (0.21-1) unstable; urgency=low

  * remove patch, it's applied upstream
  * New upstream release

 -- Ryan Niebur <ryanryan52@gmail.com>  Sat, 11 Apr 2009 20:44:08 -0700

libmouse-perl (0.20-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New upstream release
  * Debian Policy 3.8.1

  [ gregor herrmann ]
  * Minor updates to debian/copyright.

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 10 Apr 2009 10:54:02 -0700

libmouse-perl (0.19-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
  * debian/control:
    + adding me to the Uploaders
    + added libclass-method-modifiers and libtest-output-perl to B-D-I

  [ Ryan Niebur ]
  * New upstream release
  * add myself to uploaders

  [ gregor herrmann ]
  * debian/control: add libclass-method-modifiers-perl to Recommends:.

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 08 Mar 2009 16:00:57 -0700

libmouse-perl (0.17-1) unstable; urgency=low

  * New upstream release

 -- Brian Cassidy <brian.cassidy@gmail.com>  Wed, 18 Feb 2009 09:23:41 -0400

libmouse-perl (0.16-1) unstable; urgency=low

  * New upstream release
  * debian/control: build dependency on quilt removed
  * debian/patches: removed
  * debian/README.source: removed
  * debian/rules: quilt rules removed

 -- Brian Cassidy <brian.cassidy@gmail.com>  Thu, 12 Feb 2009 10:52:36 -0400

libmouse-perl (0.15-1) unstable; urgency=low

  * New upstream release.

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 07 Feb 2009 02:02:25 -0600

libmouse-perl (0.14-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Dec 2008 23:52:04 +0100

libmouse-perl (0.13-1) unstable; urgency=low

  * New upstream release
  * debian/control: add libtest-exception-perl to build deps

 -- Brian Cassidy <brian.cassidy@gmail.com>  Tue, 16 Dec 2008 09:19:37 -0400

libmouse-perl (0.12-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Brian Cassidy ]
  * New upstream release
  * debian/control: Add myself to Uploaders
  * debian/patches/manpage-whatis.patch: add description section

 -- Brian Cassidy <brian.cassidy@gmail.com>  Fri, 05 Dec 2008 08:59:14 -0400

libmouse-perl (0.11-1) unstable; urgency=low

  [ Jose Luis Rivas ]
  * New upstream release
  * Added me as uploader.

  [ gregor herrmann ]
  * debian/control: start short description with a lower-case letter.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Mon, 10 Nov 2008 10:55:26 -0430

libmouse-perl (0.10-1) unstable; urgency=low

  * New upstream release.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * debian/control:
    - add /me to Uploaders
    - add libmoose-perl to Build-Depends-Indep (used in test suite)
  * debian/copyright: add information for files under inc/.
  * Add patch to add missing whatis entry in a manpage; add quilt framework
    and debian/README.source.

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Oct 2008 20:32:54 +0100

libmouse-perl (0.09-1) unstable; urgency=low

  * Initial Release (Closes: #502023)

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 12 Oct 2008 14:04:31 -0500
